/**
  * File : Conv.h
  * Desc : 
  * Author : daizongh
  * Version : V1.0 
  * Date : 2007-05-30 
  */
#ifndef _D_TOOLS_CONV_H_070530_
#define _D_TOOLS_CONV_H_070530_

namespace d_tools
{
	typedef enum { UTF8_T, UTF16_T, BIG5_T, GBK_T, UNDEF_T } ENCODING_TYPE;
	typedef unsigned char U8CHAR;
	typedef unsigned short U16CHAR;

	const U16CHAR defUniChar = 0x25a1;
	const U16CHAR defGbkChar = 0xa1f5;
	const U16CHAR defBigChar = 0xa1bc;

	extern U16CHAR gbk_to_utf16(U16CHAR c);
	extern U16CHAR utf16_to_gbk(U16CHAR c);
	extern U16CHAR big5_to_utf16(U16CHAR c);
	extern U16CHAR utf16_to_big5(U16CHAR c);

	extern int gbk_to_utf16(U8CHAR * src, unsigned int len, U16CHAR * dst, unsigned int buf_len);
	extern int utf16_to_gbk(U16CHAR * src, unsigned int len, U8CHAR * dst, unsigned int buf_len);
	extern int big5_to_utf16(U8CHAR * src, unsigned int len, U16CHAR * dst, unsigned int buf_len);
	extern int utf16_to_big5(U16CHAR * src, unsigned int len, U8CHAR * dst, unsigned int buf_len);
	extern int utf8_to_utf16(U8CHAR * src, unsigned int len, U16CHAR * dst, unsigned int buf_len);
	extern int utf16_to_utf8(U16CHAR * src, unsigned int len, U8CHAR * dst, unsigned int buf_len);
}

#endif //_D_TOOLS_CONV_H_07053_
